@charset "utf-8";

/*
 * File    : lang-jp.css
 * Author  : STUDIO-JT (JSH)
 *
 * SUMMARY :
 * FONT
 * VARIABLES
 * TYPOGRAPHY
 * LAYOUT
 * RWD
 */



/* **************************************** *
 * FONT
 * **************************************** */
@font-face {
    font-family: 'PretendardJP';
    font-weight: 400;
    src: url('../fonts/Pretendard/PretendardJP-Regular.woff2') format('woff2'), 
         url('../fonts/Pretendard/PretendardJP-Regular.woff') format('woff');
}

@font-face {
    font-family: 'PretendardJP';
    font-weight: 500;
    src: url('../fonts/Pretendard/PretendardJP-Medium.woff2') format('woff2'), 
         url('.../fonts/Pretendard/PretendardJP-Medium.woff') format('woff');
}

@font-face {
    font-family: 'PretendardJP';
    font-weight: 600;
    src: url('../fonts/Pretendard/PretendardJP-SemiBold.woff2') format('woff2'), 
         url('../fonts/Pretendard/PretendardJP-SemiBold.woff') format('woff');
}



/* **************************************** *
 * VARIABLES
 * **************************************** */
html[lang="jp"] {

    --font-primary: 'PretendardJP', 'pretendard', sans-serif;
    --font-secondary: 'PretendardJP', sans-serif;

    --font-size-primary-01: 64rem;
    --font-size-primary-03: 40rem;
    --font-size-primary-04: 35rem;
    --font-size-primary-05: 31rem;
    --font-size-primary-08: 20rem;
    --font-size-primary-09: 17rem;
    --font-size-primary-10: 15rem;
    --font-size-primary-11: 13rem;

    --font-lineheight-primary-03: 58rem;

}



/* **************************************** *
 * TYPOGRAPHY
 * **************************************** */
.jt-typo--16 { letter-spacing: -.01em; }
.jt-typo--17 { letter-spacing: -.01em; }



/* **************************************** *
 * LAYOUT
 * **************************************** */
html[lang="jp"] body { word-break: break-all; }



/* **************************************** *
 * RWD
 * **************************************** */
@media (max-width: 1480px){

}

@media (max-width: 1200px){

    /* VAR */
    html[lang="jp"] {

        --font-size-primary-01: 60rem;
        --font-size-primary-03: 38rem;
        --font-size-primary-04: 32rem;
        --font-size-primary-05: 28rem;
    
        --font-lineheight-primary-03: 53rem;

    }

    /* INTRODUCE */
    html[lang="jp"] .introduce-about__identity-desc br { display: none; }

    /* MANUAL */
    html[lang="jp"] .manual-service-gallery__sticky-title br { display: none; }
    html[lang="jp"] .manual-service-gallery__sticky-desc br { display: none; }

}

@media (max-width: 1023px){

    /* VAR */
    html[lang="jp"] {
        --font-size-primary-01: 56rem;
        --font-size-primary-03: 36rem;
    
        --font-lineheight-primary-03: 50rem;
    }

    /* INTRODUCE */
    html[lang="jp"] .introduce-sustainability-vision__title br { display: none; }

}

@media (max-width: 768px){

    /* CONSTRUTOR */
    html[lang="jp"] .construct-seongok-seowon__gallery-desc br { display: none; }

}

@media (max-width: 540px){

    /* VAR */
    html[lang="jp"] {
        --font-size-primary-01: 46rem;
        --font-size-primary-03: 34rem;
        --font-size-primary-04: 30rem;
        --font-size-primary-08: 18rem;
        --font-size-primary-09: 16rem;

        --font-lineheight-primary-03: 43rem;
    }

    /* HISTORY */
    html[lang="jp"] .introduce-history-lounge__title { font-size: 33rem; white-space: nowrap; }

    /* GARDEN */
    html[lang="jp"] .garden-korea-motion__sticky .article__section-title { white-space: nowrap; }

    /* CONSTRUTOR */
    html[lang="jp"] body.construct-seongok-seowon .construct-visual__desc { white-space: nowrap; }
    html[lang="jp"] body.construct-pezo-restaurant .construct-visual__section--01 .construct-visual__desc { white-space: nowrap; }
    html[lang="jp"] body.construct-pezo-restaurant .construct-visual__section--02 .construct-visual__desc { white-space: nowrap; }

}